﻿if select(2, UnitClass('player')) ~= "SHAMAN" then
	return
end
local L = AceLibrary("AceLocale-2.2"):new("Yata");

L:RegisterTranslations("enUS", function() 
	return {
	-- Core.lua
	["Reapplied cyCircled skin"] = true,
	["Yata reloaded"] = true,

	-- Options.lua
	["Totembar"] = true,
	["Totembar configuration"] = true,
	["Lock the frame"] = true,
	["Button Lock"] = true,
	["Button Scale"] = true,
	["Scale the buttons"] = true,
	["Popup Button Scale"] = true,
	["Scale the popup buttons"] = true,
	["Invert popup direction"] = true,
	["Vertical bar direction"] = true,
	["Button Style"] = true,
	["Tooltips"] = true,
	["Tooltip configuration"] = true,
	["Show Tooltip"] = true,
	["Out of combat only"] = true,
	["Show short tooltip"] = true,
	["Totemsets"] = true,
	["No active Set"] = true,
	["Add"] = true,
	["Load"] = true,
	["Load Set"] = true,
	["Delete"] = true,
	["Delete Set"] = true,
	["Switch to default layout"] = true,
	["Keybindings"] = true,
	["Totem Timers"] = true,
	["Reload Yata"] = true,
	["Please enter the name for your Set, it the name is already existing the two Sets will be merged, any changes to the button layout will be now done on this set."] = true,
	["Cancel"] = true,
	["Are you sure you want to delete the set %s?"] = true,
	["No Set"] = true,
	["Available Totemsets"] = true,
	["Please click on any Set Name to equip or click on 'No Set' to return to the default Totembar"] = true,
	["No Totemsets created"] = true,
	["Couldn't find Icon"] = true,
	["No more Macros allowed"] = true,
	["Set Macro Reset Key"] = true,

	-- Timers.lua
	["Enable Totem Timers"] = true,
	["Scale Totem Timer bars"] = true,
	["Timerbar Texture"] = true,
	["Sets the timerbar texture"] = true,
	["Lock Totem Timer bars"] = true,
	["Totem"] = true,

	-- TotemBar.lua
	["Default"] = true,
	["HorizontalGap"] = true,
	["Zoomed"] = true,
	["Dreamlayout"] = true,
	["%s is not a valid keybinding."] = true,
	["Air"] = true,
	["Water"] = true,
	["Earth"] = true,
	["Fire"] = true,
	["Main Button"] = true,
	["Menu Button"] = true,
	["Assign a Keybinding to"] = true,
	["Active Set:"] = true,
	["Please reset first, before you delete an active set"] = true,
	["Deleted"] = true,
	["No active Set"] = true,
	["Set: %s does not exist"] = true,
	["Problem with Set, ignoring current set, you should delete it"] = true,
	["Please relock the Buttons and reload ui now"] = true,

	-- TotemData.lua
	["(%d+) min"] = true,
	["(%d+) sec"] = true,
	["Tools_totem_regex"] = "Tools: (.*)Totem",
	["(%d+) health"] = true,
	["(%d+) points health"] = true,
	};
end);

L:RegisterTranslations("deDE", function() 
	return {
	-- Core.lua
	["Reapplied cyCircled skin"] = "cyCircled wiederangewendet",
	["Yata reloaded"] = "Yata neugeladen",

	-- Options.lua
	["Totembar"] = "Totem Leiste",
	["Totembar configuration"] = "Konfiguration der Totem Leiste",
	["Lock the frame"] = "Leiste fixieren",
	["Button Lock"] = "Knoepfe fixieren",
	["Button Scale"] = "Knopfskalierung",
	["Scale the buttons"] = "Knoepfe skalieren",
	["Popup Button Scale"] = "Popup Knopfskalierung",
	["Scale the popup buttons"] = "Popup Knoepfe skalieren",
	["Invert popup direction"] = "Popup Richtung umdrehen",
	["Vertical bar direction"] = "Vertikale Ausrichtung der Leiste",
	["Button Style"] = "Knopfstil",
	["Tooltips"] = "Tooltips",
	["Tooltip configuration"] = "Konfiguration der Tooltips",
	["Show Tooltip"] = "Zeige Tooltip",
	["Out of combat only"] = "Nur ausser Kampf",
	["Show short tooltip"] = "Zeige kurzen Tooltip",
	["Totemsets"] = "Totemsets",
	["No active Set"] = "Kein aktiviertes Set",
	["Add"] = "Hinzufuegen",
	["Load"] = "Laden",
	["Load Set"] = "Set laden",
	["Delete"] = "Loeschen",
	["Delete Set"] = "Set loeschen",
	["Switch to default layout"] = "Zu Standardlayout wechseln",
	["Keybindings"] = "Tastenverknuepfungen",
	["Totem Timers"] = "Totem Zeitanzeiger",
	["Reload Yata"] = "Yata neuladen",
	["Please enter the name for your Set, it the name is already existing the two Sets will be merged, any changes to the button layout will be now done on this set."] = "Bitte neuen Setnamen eingeben, bei schon vorhandenen Setnamen werden alle Aenderungen auf diesem Set durchgefuehrt",
	["Cancel"] = "Abbrechen",
	["Are you sure you want to delete the set %s?"] = "Wollen sie wirklich Set %s loeschen?",
	["No Set"] = "Kein Set",
	["Available Totemsets"] = "Verfuegbare Totemsets",
	["Please click on any Set Name to equip or click on 'No Set' to return to the default Totembar"] = "Klicken sie auf einen Set Namen um es benuetzen oder klicken sie auf 'Kein Set' fuer die standard Leiste",
	["No Totemsets created"] = "Kein Totemset erstellt",
	["Couldn't find Icon"] = "Kann Icon nicht finden",
	["No more Macros allowed"] = "Keine zusaetzlichen Makros erlaubt",

	-- Timers.lua
	["Enable Totem Timers"] = "Totem Zeitanzeiger anschalten",
	["Scale Totem Timer bars"] = "Totem Zeitanzeiger skalieren",
	["Timerbar Texture"] = "Zeitanzeigertextur",
	["Sets the timerbar texture"] = "Zeitanzeigertextur einstellen",
	["Lock Totem Timer bars"] = "Zeitanzeiger fixieren",
--	["Totem"] = true,

	-- TotemBar.lua
--	["Default"] = true,
	["HorizontalGap"] = "Horizontale Luecke",
--	["Zoomed"] = true,
--	["Dreamlayout"] = true,
	["%s is not a valid keybinding."] = "%s ist keine erlaubte Tastenverknuepfung",
	["Air"] = "Luft",
	["Water"] = "Wasser",
	["Earth"] = "Erde",
	["Fire"] = "Feuer",
	["Main Button"] = "Hauptknopf",
	["Menu Button"] = "Menuknopf",
	["Assign a Keybinding to"] = "Hinzufuegen einer Tastenverknuepfung zu",
	["Active Set:"] = "Aktives Set:",
	["Please reset first, before you delete an active set"] = "Bitte erst zuruecksetzen, bevor sie ein aktives Set loeschen",
	["Deleted"] = "Geloescht",
	["No active Set"] = "Kein aktives Set",
	["Set: %s does not exist"] = "Das Set: %s existiert nicht",
	["Problem with Set, ignoring current set, you should delete it"] = "Problem mit dem Set, es wird daher ignoriert und sie sollten es loeschen",
	["Please relock the Buttons and reload ui now"] = "Bitte fixieren sie die Knoepfe und laden sie die UI neu",
	
	-- TotemData.lua
	["(%d+) min"] = "(%d+) Min.",
	["(%d+) sec"] = "(%d+) Sek.",
	["Tools_totem_regex"] = "Werkzeuge: (.*)totem",
	["(%d+) health"] = "(%d+) Gesundheit",
	["(%d+) points health"] = "(%d+) Punkt%(en%) Gesundheit",	
	};
end);

L:RegisterTranslations("zhTW", function() 
	return {
	-- Core.lua
	["Reapplied cyCircled skin"] = "重啟 cyCircled 樣式",
	["Yata reloaded"] = "Yata 已重載",

	-- Options.lua
	["Totembar"] = "圖騰條",
	["Totembar configuration"] = "圖騰條設定",
	["Lock the frame"] = "鎖定圖騰條",
	["Button Lock"] = "鎖定按鈕",
	["Button Scale"] = "按鈕大小",
	["Scale the buttons"] = "設定按鈕大小",
	["Popup Button Scale"] = "彈出按鈕大小",
	["Scale the popup buttons"] = "設定彈出按鈕大小",
	["Invert popup direction"] = "反轉彈出方向",
	["Vertical bar direction"] = "垂直圖騰條",
	["Button Style"] = "按鈕樣式",
	["Tooltips"] = "提示訊息",
	["Tooltip configuration"] = "提示訊息設定",
	["Show Tooltip"] = "顯示提示訊息",
	["Out of combat only"] = "只在戰鬥外顯示",
	["Show short tooltip"] = "顯示簡短提示訊息",
	["Totemsets"] = "圖騰組合",
	["No active Set"] = "目前沒有組合",
	["Add"] = "新增",
	["Load"] = "載入",
	["Load Set"] = "載入組合",
	["Delete"] = "刪除",
	["Delete Set"] = "刪除組合",
	["Switch to default layout"] = "切換到預設佈局",
	["Keybindings"] = "按鍵設定",
	["Totem Timers"] = "圖騰計時條",
	["Reload Yata"] = "重新載入 Yata",
	["Please enter the name for your Set, it the name is already existing the two Sets will be merged, any changes to the button layout will be now done on this set."] = "請輸入圖騰組合的名字，如有和現有組合同名的話將會合併處理，建立後設定都會以這個組合為主。",
	["Cancel"] = "取消",
	["Are you sure you want to delete the set %s?"] = "你確定要刪除組合「%s」?",
	["Available Totemsets"] = "現有的圖騰組合",
	["No Set"] = "預設",
	["Please click on any Set Name to equip or click on 'No Set' to return to the default Totembar"] = "請按圖騰組合名稱或按「預設」來使用預設的組合",
	["No Totemsets created"] = "尚未建立圖騰組合",
	["Couldn't find Icon"] = "找不到圖示",
	["No more Macros allowed"] = "無法建立巨集",

	-- Timers.lua
	["Enable Totem Timers"] = "啟用圖騰計時條",
	["Scale Totem Timer bars"] = "設定圖騰計時條大小",
	["Timerbar Texture"] = "圖騰計時條材質",
	["Sets the timerbar texture"] = "設定圖騰計時條紋理",
	["Lock Totem Timer bars"] = "鎖定圖騰計時條",
	["Totem"] = "圖騰",

	-- TotemBar.lua
	["Default"] = "預設",
	["HorizontalGap"] = "水平間隔",
	["Zoomed"] = "放大",
	["Dreamlayout"] = "Dreamlayout",
	["%s is not a valid keybinding."] = "「%s」不是合法的按鍵。",
	["Air"] = "風之",
	["Water"] = "水之",
	["Earth"] = "大地",
	["Fire"] = "火焰",
	["Main Button"] = "圖騰主要按鈕",
	["Menu Button"] = "圖騰彈出按鈕",
	["Assign a Keybinding to"] = "設定按鍵",
	["Active Set:"] = "目前組合:",
	["Please reset first, before you delete an active set"] = "要刪除目前正在用的組合，請先重設",
	["Deleted"] = "已刪除:",
	["No active Set"] = "目前沒有組合",
	["Set: %s does not exist"] = "組合「%s」不存在",
	["Problem with Set, ignoring current set, you should delete it"] = "圖騰組合有問題，你應該刪除它",
	["Please relock the Buttons and reload ui now"] = "請重載使用者介面",

	-- TotemData.lua
	["(%d+) min"] = "(%d+)分",
	["(%d+) sec"] = "(%d+)秒",
	["Tools_totem_regex"] = "工具:(.+)圖騰",
	["(%d+) health"] = "生命力為(%d+)點的",
	["(%d+) points health"] = "一個(%d+)點生命力的",
	};
end);

L:RegisterTranslations("koKR", function() 
	return {
	-- Core.lua
	["Reapplied cyCircled skin"] = "cyCircled 스킨을 적용합니다.",
	["Yata reloaded"] = "Yata 다시 시작",

	-- Options.lua
	["Totembar"] = "토템바",
	["Totembar configuration"] = "토템바 설정",
	["Lock the frame"] = "프레임 고정",
	["Button Lock"] = "버튼 고정",
	["Button Scale"] = "버튼 크기",
	["Scale the buttons"] = "버튼의 크기를 변경합니다.",
	["Popup Button Scale"] = "팝업 버튼 크기",
	["Scale the popup buttons"] = "팝업되는 버튼의 크기를 변경합니다.",
	["Invert popup direction"] = "반대로 생성",
	["Vertical bar direction"] = "수평으로 생성",
	["Button Style"] = "버튼 스타일",
	["Tooltips"] = "툴팁",
	["Tooltip configuration"] = "툴팁 설정",
	["Show Tooltip"] = "툴팁 보기",
	["Out of combat only"] = "비전투시에만 보임",
	["Show short tooltip"] = "요약 툴팁 보기",
	["Totemsets"] = "토템셋",
	["No active Set"] = "사용가능한 토템셋이 없습니다.",
	["Add"] = "추가",
	["Load"] = "불러오기",
	["Load Set"] = "세트 불러오기",
	["Delete"] = "삭제",
	["Delete Set"] = "세트 삭제하기",
	["Switch to default layout"] = "기본 레이아웃 불러오기",
	["Keybindings"] = "단축키 지정",
	["Totem Timers"] = "토템 타이머",
	["Reload Yata"] = "Yata 재시작",
	["Please enter the name for your Set, it the name is already existing the two Sets will be merged, any changes to the button layout will be now done on this set."] = "세트 이름을 입력하십시오. 이름이 동일한 세트인 경우 최근것으로 변경됩니다.",
	["Cancel"] = "취소",
	["Are you sure you want to delete the set %s?"] = "%s 토템셋을 삭제하시겠습니까?",
	["Available Totemsets"] = "사용가능한 토템셋",
	["No Set"] = "세트 없음",
	["Please click on any Set Name to equip or click on 'No Set' to return to the default Totembar"] = "사용 가능한 토텝셋을 클릭하세요. '세트 없음'을 클릭하면 기본 토템바로 돌아갑니다.",
	["No Totemsets created"] = "생성된 토템셋이 없습니다.",
	["Couldn't find Icon"] = "아이콘을 찾을 수 없습니다.",
	["No more Macros allowed"] = "매크로를 사용할 수 없습니다.",

	-- Timers.lua
	["Enable Totem Timers"] = "토템 타이머 사용",
	["Scale Totem Timer bars"] = "토템 타이머바 크기",
	["Timerbar Texture"] = "타이머바 텍스처",
	["Sets the timerbar texture"] = "타이머바 텍스처를 변경합니다.",
	["Lock Totem Timer bars"] = "타이머바 고정",
	["Totem"] = "토템",

	-- TotemBar.lua
	["Default"] = "기본",
--	["HorizontalGap"] = true,
--	["Zoomed"] = "줌",
--	["Dreamlayout"] = true,
	["%s is not a valid keybinding."] = "%s|1은;는; 단축키 지정이 불가능합니다.",
	["Air"] = "바람",
	["Water"] = "물",
	["Earth"] = "대지",
	["Fire"] = "불",
	["Main Button"] = "주 버튼",
	["Menu Button"] = "메뉴 버튼",
	["Assign a Keybinding to"] = "단축키로 지정",
	["Active Set:"] = "사용 가능 세트:",
	["Please reset first, before you delete an active set"] = "초기화 하십시오. 사용 가능 세트가 모두 삭제됩니다.",
	["Deleted"] = "삭제",
	["No active Set"] = "사용 불가능 세트",
	["Set: %s does not exist"] = "세트: %s|1은;는; 없습니다.",
	["Problem with Set, ignoring current set, you should delete it"] = "세트에 문제가 있어 현재 세트를 무시합니다. 이 세트를 삭제하십시오.",
	["Please relock the Buttons and reload ui now"] = "버튼 고정 후 UI를 재시작 하십시오.",

	-- TotemData.lua
	["(%d+) min"] = "(%d+)분",
	["(%d+) sec"] = "(%d+)초",
	["Tools_totem_regex"] = "도구: (.+)의 토템",
	["(%d+) health"] = "(%d+) 생명력",
	["(%d+) points health"] = "(%d+) 초당 생명력 회복",
	};
end);

L:RegisterTranslations("frFR", function() 
	return {
	-- Core.lua
	["Reapplied cyCircled skin"] = "Mod\195\168le cyCircled r\195\169appliqu\195\169",
	["Yata reloaded"] = "Yata recharg\195\169",

	-- Options.lua
	["Totembar"] = "Barre de Totem",
	["Totembar configuration"] = "Configuration - Barre de Totem",
	["Lock the frame"] = "Fixer la barre",
	["Button Lock"] = "Fixer les boutons",
	["Button Scale"] = "Echelle des boutons",
	["Scale the buttons"] = "Echelle des boutons",
	["Popup Button Scale"] = "Echelle des boutons automatiques",
	["Scale the popup buttons"] = "Echelle des boutons automatiques",
	["Invert popup direction"] = "Sens d'apparition invers\195\169",
	["Vertical bar direction"] = "Barre verticale",
	["Button Style"] = "Apparence des boutons",
	["Tooltips"] = "Bulles d'aide",
	["Tooltip configuration"] = "Configuration - Bulle d'aide",
	["Show Tooltip"] = "Activer les bulles d'aide",
	["Out of combat only"] = "Hors combat uniquement",
	["Show short tooltip"] = "Bulle d'aide simplifi\195\169e",
	["Totemsets"] = "Sets de Totem",
	["No active Set"] = "Aucun Set actif",
	["Add"] = "Ajouter",
	["Load"] = "Charger",
	["Load Set"] = "Chargement du Set",
	["Delete"] = "Effacer",
	["Delete Set"] = "Effacer le set",
	["Switch to default layout"] = "Param\195\168tres par d\195\169faut",
	["Keybindings"] = "Raccourcis clavier",
	["Totem Timers"] = "Minuteurs de Totem",
	["Reload Yata"] = "Recharger Yata",
	["Please enter the name for your Set, it the name is already existing the two Sets will be merged, any changes to the button layout will be now done on this set."] = "Merci de taper le nom du Set. Si le nom existe d\195\169j?, les deux Sets seront fusionn\195\169s. Tous les changements de disposition de bouton seront maintenant enregistr\195\169s sur ce Set.",
	["Cancel"] = "Annuler",
	["Are you sure you want to delete the set %s?"] = "Etes vous s\195\187r de vouloir supprimer l'ensemble %s",
	["Available Totemsets"] = "Sets de Totem disponibles",
	["No Set"] = "Aucun Set",
	["Please click on any Set Name to equip or click on 'No Set' to return to the default Totembar"] = "Merci de cliquer sur le nom du Set pour le s\195\169lectionner ou sur 'Aucun Set' pour utiliser la Barre de Totem par d\195\169faut",
	["No Totemsets created"] = "Aucun Set de Totem trouv\195\169",
	["Couldn't find Icon"] = "N'a pas pu trouver l'ic\195\180ne",
	["No more Macros allowed"] = "Plus de Macros allou\195\169es",

	-- Timers.lua
	["Enable Totem Timers"] = "Activer les minuteurs",
	["Scale Totem Timer bars"] = "Echelle des barres",
	["Timerbar Texture"] = "Texture des barres",
	["Sets the timerbar texture"] = "D\195\169finir la texture des barres",
	["Lock Totem Timer bars"] = "Fixer les barres",
--	["Totem"] = "Totem",

	-- TotemBar.lua
	["Default"] = "D\195\169faut",
--	["HorizontalGap"] = true,
--	["Zoomed"] = true,
--	["Dreamlayout"] = true,
	["%s is not a valid keybinding."] = "%s n'est pas une touche de raccourci valide",
	["Air"] = "air",
	["Water"] = "eau",
	["Earth"] = "terre",
	["Fire"] = "feu",
	["Main Button"] = "Bouton principal",
	["Menu Button"] = "Menu du bouton",
	["Assign a Keybinding to"] = "Affecter un raccourci \195\160",
	["Active Set:"] = "Set actif:",
	["Please reset first, before you delete an active set"] = "Merci de r\195\169initialiser le set actif avant de l'effacer",
	["Deleted"] = "Effac\195\169",
	["No active Set"] = "Pas de Set actif",
	["Set: %s does not exist"] = "Set: %s n'existe pas",
	["Problem with Set, ignoring current set, you should delete it"] = "Erreur sur ce Set. Vous devriez l'effacer",
	["Please relock the Buttons and reload ui now"] = "Merci de fixer les boutons et de recharger l'UI maintenant",

	-- TotemData.lua
--	["(%d+) min"] = true,
--	["(%d+) sec"] = true,
	["Tools_totem_regex"] = ".*Totem d[eu']%s?(.*)",
--	["(%d+) health"] = true,
	["(%d+) points health"] = "(%d+) points de vie",
	};
end);